Bug 399341 - Review Request: Nightfall - Nightfall is an astronomy application for emulation of eclipsing stars
Review Request: Nightfall - Nightfall is an astronomy application for emulati...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-26 06:18 EST by Marek Mahut
Modified: 2009-01-07 13:09 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-27 05:05:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lkundrak: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marek Mahut 2007-11-26 06:18:56 EST
Spec URL: http://mmahut.fedorapeople.org/reviews/nightfall/nightfall.spec
SRPM URL: http://mmahut.fedorapeople.org/reviews/nightfall/nightfall-1.62-1.src.rpm
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=258283
Description: Nightfall is an astronomy application for emulation of eclipsing stars
It can produce animated views of eclipsing binary stars,
calculate synthetic lightcurves and radial velocity curves,
and eventually determine the best-fit model for a given set of
observational data of an eclipsing binary star system.
It is, however, not able to fry your breakfast egg on your harddisk.
Comment 1 Marek Mahut 2007-11-26 06:19:29 EST
Hm, I'm not sure about the location of icon in gnome menu, any suggestions?
Comment 2 Lubomir Kundrak 2007-11-26 06:26:59 EST
Taking this for review.
Marek; I'd suggest Astronomy;Science;Education
Comment 3 Marek Mahut 2007-11-26 06:29:58 EST
Your suggestion took in count, desktop file updated.
Comment 4 Lubomir Kundrak 2007-11-26 14:32:16 EST
Please use $find_lang macro for the locales.
Comment 5 Lubomir Kundrak 2007-11-26 14:42:51 EST
nightfall.x86_64: W: file-not-utf8 /usr/share/doc/nightfall-1.62/ChangeLog

I'd say this doesn't matter. This is just fine.

nightfall-debuginfo.x86_64: E: empty-debuginfo-package

Do not let nightfall binary be installed this way:
/usr/bin/install -c -s nightfall
/var/tmp/nightfall-1.62-1.fc8-root-lkundrak/usr/bin/nightfall
Note that install -s strips the binary. Please patch -s away from the Makefile
Comment 6 Lubomir Kundrak 2007-11-26 14:58:12 EST
/home/lkundrak/rpmbuild/SOURCES/nightfall.desktop: key "Categories" is a list
and does not have a semicolon as trailing character, fixing
Comment 7 Marek Mahut 2007-11-26 15:44:12 EST
Source file and spec file updated.
Comment 8 Lubomir Kundrak 2007-11-27 07:10:18 EST
Thanks. Please,

-make 'CPPFLAGS=-I/usr/include/gtk-2.0' 'CFLAGS=%{optflags}' %{_smp_mflags}
+make %{_smp_mflags}

As we talked about on IRC. Also,

sed -i 's/INSTALL} -s/INSTALL}/' Makefile

This kind of things is usually achieved via patches.

Also, could you please explain why did you introduce this?

%{_datadir}/*

Do you own all these?

nightfall.x86_64: E: standard-dir-owned-by-package /usr/share/man/man1
nightfall.x86_64: E: standard-dir-owned-by-package /usr/share/man
Comment 9 Marek Mahut 2007-12-06 05:32:59 EST
Houps, fixed. Spec file updated.

http://mmahut.fedorapeople.org/reviews/nightfall/nightfall-1.62-2.src.rpm
Comment 10 Lubomir Kundrak 2007-12-17 16:19:17 EST
Thanks -- seems like all the outstanding issues were addressed.

APPROVED
Comment 11 Marek Mahut 2007-12-17 16:55:42 EST
Thanks Mr. Lubomir Zmena,

New Package CVS Request
=======================
Package Name: nightfall
Short Description: Nightfall is an astronomy application for emulation of
eclipsing stars
Owners: mmahut
Branches: F-8 
InitialCC: fedora-sig
Cvsextras Commits: yes
Comment 12 Marek Mahut 2007-12-18 09:43:55 EST
InitialCC: astronomy-sig
Comment 13 Tom "spot" Callaway 2007-12-18 09:48:06 EST
cvs done.
Comment 14 Marek Mahut 2007-12-27 05:05:10 EST
build, thank you!
Comment 15 Fedora Update System 2007-12-28 12:13:04 EST
nightfall-1.62-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nightfall'
Comment 16 Fedora Update System 2008-01-22 10:39:41 EST
nightfall-1.62-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.